Skip to main content
DELETE
/
public
/
workspace
/
{workspaceId}
/
recordings
/
{recordingId}
Delete recording
curl --request DELETE \
  --url https://api.userplane.com/api/v1/public/workspace/{workspaceId}/recordings/{recordingId} \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "data": {
    "workspaceId": "<string>",
    "recordingId": "<string>"
  }
}
Soft-deletes a recording. Only the recording’s link creator or a workspace admin/owner can delete a recording.
This is a soft delete. The recording data is preserved but becomes inaccessible. Subsequent requests for this recording return 410 Gone.

Errors

Error codeStatusDescription
RECORDING_NOT_FOUND404Recording does not exist
RECORDING_GONE410Recording has already been deleted
RECORDING_WORKSPACE_MISMATCH403Recording does not belong to this workspace
RECORDING_DELETE_FORBIDDEN403You do not have permission to delete this recording
RECORDING_DELETE_FAILED500Failed to delete the recording
Also returns common authentication errors.

List Recordings

View all active recordings in the workspace

Get Recording

Retrieve recording details before deletion

Delete Link

Soft-delete the associated recording link

Error Handling

Understand 410 Gone and other error codes

Authorizations

Authorization
string
header
required

API key with uspl_ prefix. Create keys at dash.userplane.io/_/account?tab=developers

Path Parameters

workspaceId
string
required
Minimum string length: 1
recordingId
string
required
Minimum string length: 1

Response

OK

message
string
required
data
object
required